# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

import gettext
from gettext import gettext as _
gettext.textdomain('bar')

import gtk
import logging
logger = logging.getLogger('bar')

from bar_lib import Window
from bar.AboutBarDialog import AboutBarDialog
from bar.PreferencesBarDialog import PreferencesBarDialog

# See bar_lib.Window.py for more details about how this class works
class BarWindow(Window):
    __gtype_name__ = "BarWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(BarWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutBarDialog
        self.PreferencesDialog = PreferencesBarDialog

        # Code for other initialization actions should be added here.

